Page MenuHomePhabricator

Notifications page HTML markup
Closed, ResolvedPublic

Description

Currently the https://en.m.wikipedia.org/wiki/Special:Notifications page consists of a single ul element and uses '.mw-echo-date-section' as a divider. Really the markup should be a series of h2 elements and separate lists.

This would also remove the need for mw-echo-notification as styling could work like so:

#mw-echo-special-container h2
#mw-echo-special-container li

e.g.

<div id="mw-echo-special-container">
<h2>May 09</h2>
<ul>
<li data-notification-category="edit-user-talk">
</li>
</ul>
<ul>
<li data-notification-category="edit-user-talk">
</li>
</ul>
</div>

Currently the mobile site is having to introduce unnecessary styling rules which would be avoided with h2s

Details

Reference
bz49269

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:56 AM
bzimport added a project: Notifications.
bzimport set Reference to bz49269.
Jdlrobson created this task.Jun 6 2013, 8:00 PM

Change 71523 had a related patch set uploaded by Jdlrobson:
Bug 49269: Echo markup adjustments

https://gerrit.wikimedia.org/r/71523

Change 71523 merged by jenkins-bot:
Bug 49269: Echo markup adjustments

https://gerrit.wikimedia.org/r/71523

Change 71729 had a related patch set uploaded by Bsitu:
Revert "Bug 49269: Echo markup adjustments"

https://gerrit.wikimedia.org/r/71729

Change 71729 merged by Bsitu:
Revert "Bug 49269: Echo markup adjustments"

https://gerrit.wikimedia.org/r/71729

Looks like I merged 71523 prematurely. The ids for the uls need to be changed to classes and it needs to make sure that it handles adding new notifications in correctly when clicking the Load More button.

Change 73529 had a related patch set uploaded by Kaldari:
Render dates as headings

https://gerrit.wikimedia.org/r/73529

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/257

Change 154220 had a related patch set uploaded by Jdlrobson:
WIP: make Special:Notifications semantically correct

https://gerrit.wikimedia.org/r/154220

Change 73529 abandoned by Bsitu:
Render dates as headings

Reason:
This will be handled in the newer patch: https://gerrit.wikimedia.org/r/#/c/154220/

https://gerrit.wikimedia.org/r/73529

EBernhardson triaged this task as Low priority.Mar 2 2015, 6:51 PM
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:39 AM
matej_suchanek updated the task description. (Show Details)
matej_suchanek closed this task as Resolved.Aug 13 2016, 3:18 PM